# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           plexus-ant-factory
Version:        1.0
Release:        1.21.a2.2
Epoch:          0
License:        ASL 2.0
Summary:        Plexus Ant component factory
URL:            http://plexus.codehaus.org/
Source0:        https://github.com/codehaus/plexus/archive/plexus-ant-factory-1.0-alpha-2.1.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  maven-local ant plexus-classworlds plexus-containers-container-default
BuildRequires:  plexus-utils plexus-component-factories-pom

%description
This package provides a factory for instantiating Ant with Plexus.

%package        help
Summary:        Documentation for plexus-ant-factory

%description    help
Documentation for plexus-ant-factory

%prep
%autosetup -n plexus-plexus-ant-factory-%{version}-alpha-2.1
cp %{SOURCE1} LICENSE


%build
%mvn_file  : plexus/ant-factory
%mvn_build

%install
%mvn_install

%pre            help
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files          -f .mfiles
%dir %{_javadir}/plexus
%doc LICENSE

%files          help -f .mfiles-javadoc

%changelog
* Thu Mar 12 2020 lihao <lihao129@huawei.com> - 0:1.0-1.21.a2.2
- Package Init
